%global debug_package %{nil}

%global _version 0.15.1
%global _release 1
%global _buildx_version %{_version}

Name: docker-buildx-plugin
Version: %{_version}
Release: %{_release}%{?dist}.inferit
Epoch: 0
Source0: buildx.tgz
Summary: Docker Buildx plugin for the Docker CLI
Group: Tools/Docker
License: ASL 2.0
URL: https://github.com/docker/buildx
Vendor: Docker
Packager: Docker <support@docker.com>

BuildRequires: bash
BuildRequires: golang
BuildRequires: kernel-rpm-macros

%description
Docker Buildx plugin for the Docker CLI.

%prep
%setup -q -c -n src -a 0

%build
pushd ${RPM_BUILD_DIR}/src/buildx
	GO111MODULE=on \
	CGO_ENABLED=0 \
		go build \
			-mod=vendor \
			-trimpath \
			-ldflags="-X github.com/docker/buildx/version.Version=%{_buildx_version} -X github.com/docker/buildx/version.Revision=%{_buildx_gitcommit} -X github.com/docker/buildx/version.Package=github.com/docker/buildx" \
			-o "bin/docker-buildx" \
			./cmd/buildx
popd

%check
ver="$(${RPM_BUILD_ROOT}%{_libexecdir}/docker/cli-plugins/docker-buildx docker-cli-plugin-metadata | awk '{ gsub(/[",:]/,"")}; $1 == "Version" { print $2 }')"; \
	test "$ver" = "%{_buildx_version}" && echo "PASS: docker-buildx version OK" || (echo "FAIL: docker-buildx version ($ver) did not match" && exit 1)

%install
pushd ${RPM_BUILD_DIR}/src/buildx
install -D -p -m 0755 bin/docker-buildx ${RPM_BUILD_ROOT}%{_libexecdir}/docker/cli-plugins/docker-buildx
popd

%files
%{_libexecdir}/docker/cli-plugins/docker-buildx

%post

%preun

%postun

%changelog
* Tue Jul 23 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 0:0.15.1-1.inferit
- Adapted for MSVphere 9 build
- Rebuilt for MSVSphere 9.4

